logger::appender(3tcl)

NAME
logger::appender - Collection of predefined appenders for logger

SYNOPSIS
package require Tcl 8.2

package require logger::appender ?1.2?

::logger::appender::console -level level -service service ?options...?

::logger::appender::colorConsole -level level -service service ?options...?

DESCRIPTION
This package provides a predefined set of logger templates.

::logger::appender::console -level level -service service ?options...?

    -level level
        Name of the level to fill in as "priority" in the log procedure.

    -service service
        Name of the service to fill in as "category" in the log procedure.

    -appenderArgs appenderArgs
        Any additional arguments for the log procedure in list form

    -conversionPattern conversionPattern
        The log pattern to use (see logger::utils::createLogProc for the allowed substitutions).

    -procName procName
        Explicitly set the name of the created procedure.

    -procNameVar procNameVar
        Name of the variable to set in the calling context. This variable will contain the name of the procedure.

::logger::appender::colorConsole -level level -service service ?options...?
    See ::logger::appender::colorConsole for a description of the applicable options.

BUGS, IDEAS, FEEDBACK
This document, and the package it describes, will undoubtedly contain bugs and other problems. Please report such in the category logger of the Tcllib Trackers [http://core.tcl.tk/tcllib/reportlist]. Please also report any ideas for enhancements you may have for either package and/or documentation.

When proposing code changes, please provide unified diffs, i.e the output of diff -u.

Note further that attachments are strongly preferred over inlined patches. Attachments can be made by going to the Edit form of the ticket immediately after its creation, and then using the left-most button in the secondary navigation bar.

KEYWORDS
appender, logger

CATEGORY
Programming tools

COPYRIGHT
Copyright (c) 2005 Aamer Akhter <aakhter@cisco.com>